# InputStream Class Reference

Inherits ObjectImpl.

Inherited by ByteArrayInputStream, and FileInputStream.

List of all members.

## Detailed Description

Abstract class for reading from character streams.

## Public Member Functions

virtual int | read (ByteBuffer &dst)=0
| Reads a sequence of bytes into the given buffer.
virtual void | close ()=0
| Closes this input stream and releases any system resources associated with the stream.

## Protected Member Functions

| InputStream ()
virtual | ~InputStream ()

## Constructor & Destructor Documentation

InputStream | ( |  | ) | `[protected]`

virtual ~InputStream | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void close | ( |  | ) | `[pure virtual]`

| Closes this input stream and releases any system resources associated with the stream. Implemented in ByteArrayInputStream, and FileInputStream.

virtual int read | ( | ByteBuffer & | dst | ) | `[pure virtual]`

Reads a sequence of bytes into the given buffer.

Parameters:

  | dst | The buffer into which bytes are to be transferred.

Returns:
  the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Implemented in ByteArrayInputStream, and FileInputStream.

The documentation for this class was generated from the following file:

- inputstream.h